View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000007Ecere SDKidepublic2008-03-05 20:552012-03-29 07:52
ReportercHolzberger 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000007: using printf without \n at the end causes ide to hang
DescriptionBuffer overruns can occur from program output.

in Linux (Ubuntu Gutsy) the ide blocks when trying to use Debug->Stop

if i use printf("string") when and add \n at the end it works again.
TagsNo tags attached.
Attached Files? file icon form1.ec [^] (507 bytes) 2008-08-17 05:23

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000071)
jerome (administrator)
2008-08-19 07:09

On Unix, the debugged application's stdout was mixed up with GDB's output.

A FIFO is now used to read the app's stdout and currently outputted in the debug view prefixed by "out:".

- Issue History
Date Modified Username Field Change
2008-03-05 20:55 cHolzberger New Issue
2008-04-10 03:42 jerome Severity block => major
2008-04-10 03:42 jerome Description Updated
2008-04-10 03:42 jerome Status new => assigned
2008-04-10 03:42 jerome Assigned To => redj
2008-04-10 17:22 jerome Severity major => minor
2008-05-02 01:09 jerome Priority normal => high
2008-08-16 03:40 jerome Assigned To redj => jerome
2008-08-16 03:40 jerome Priority high => immediate
2008-08-16 03:40 jerome Severity minor => major
2008-08-17 05:23 jerome File Added: form1.ec
2008-08-19 07:09 jerome Status assigned => resolved
2008-08-19 07:09 jerome Resolution open => fixed
2008-08-19 07:09 jerome Note Added: 0000071
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:34 redj Relationship added child of 0000433
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker